std::future_category(3)

NAME
std::future_category - std::future_category

Synopsis
   Defined in header <future>
   const std::error_category& future_category() noexcept; (since C++11)
   Obtains a reference to the static error category object for the errors related to
   futures and promises. The object is required to override the virtual function
   error_category::name() to return a pointer to the string "future". It is used to
   identify error codes provided in the exceptions of type std::future_error.

Parameters
   (none)

Return value
   A reference to the static object of unspecified runtime type, derived from
   std::error_category.

Example
    This section is incomplete
    Reason: no example

See also
   future_errc identifies the future error codes
   (C++11) (enum)
   future_error reports an error related to futures or promises
   (C++11) (class)
   error_category base class for error categories
   (C++11) (class)